<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bullmq](./bullmq.md) &gt; [WorkerListener](./bullmq.workerlistener.md)

## WorkerListener interface

<b>Signature:</b>

```typescript
export interface WorkerListener<DataType = any, ResultType = any, NameType extends string = string> 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [active](./bullmq.workerlistener.active.md) | (job: [Job](./bullmq.job.md)<!-- -->&lt;DataType, ResultType, NameType&gt;, prev: string) =&gt; void | Listen to 'active' event.<!-- -->This event is triggered when a job enters the 'active' state. |
|  [closed](./bullmq.workerlistener.closed.md) | () =&gt; void | Listen to 'closing' event.<!-- -->This event is triggered when the worker is closed. |
|  [closing](./bullmq.workerlistener.closing.md) | (msg: string) =&gt; void | Listen to 'closing' event.<!-- -->This event is triggered when the worker is closing. |
|  [completed](./bullmq.workerlistener.completed.md) | (job: [Job](./bullmq.job.md)<!-- -->&lt;DataType, ResultType, NameType&gt;, result: ResultType, prev: string) =&gt; void | Listen to 'completed' event.<!-- -->This event is triggered when a job has successfully completed. |
|  [drained](./bullmq.workerlistener.drained.md) | () =&gt; void | Listen to 'drained' event.<!-- -->This event is triggered when the queue has drained the waiting list. Note that there could still be delayed jobs waiting their timers to expire and this event will still be triggered as long as the waiting list has emptied. |
|  [error](./bullmq.workerlistener.error.md) | (failedReason: Error) =&gt; void | Listen to 'error' event.<!-- -->This event is triggered when an error is throw. |
|  [failed](./bullmq.workerlistener.failed.md) | (job: [Job](./bullmq.job.md)<!-- -->&lt;DataType, ResultType, NameType&gt;, error: Error, prev: string) =&gt; void | Listen to 'failed' event.<!-- -->This event is triggered when a job has thrown an exception. |
|  [paused](./bullmq.workerlistener.paused.md) | () =&gt; void | Listen to 'paused' event.<!-- -->This event is triggered when the queue is paused. |
|  [progress](./bullmq.workerlistener.progress.md) | (job: [Job](./bullmq.job.md)<!-- -->&lt;DataType, ResultType, NameType&gt;, progress: number \| object) =&gt; void | Listen to 'progress' event.<!-- -->This event is triggered when a job updates it progress, i.e. the Job\#\#updateProgress() method is called. This is useful to notify progress or any other data from within a processor to the rest of the world. |
|  [resumed](./bullmq.workerlistener.resumed.md) | () =&gt; void | Listen to 'resumed' event.<!-- -->This event is triggered when the queue is resumed. |

